{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/property_contact_person/create') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/property_contact_person/create') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_property_contact_person_overview', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }} - Ansprechperson anlegen</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(propertyContactPersonForm.save, {'label': 'SPEICHERN', 'id': propertyContactPersonForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-4">
                {% if is_granted('edit', buildingUnit) == true %}
                    {{ form_start(propertyContactPersonForm, {'attr': {'id': propertyContactPersonForm.vars.id ~ '_form'}}) }}
                    {% include 'property_vacancy_management/form/property/property_contact_person_form.html.twig' with {'form': propertyContactPersonForm, 'buildingUnit': buildingUnit} only %}
                    {{ form_row(propertyContactPersonForm._token) }}
                    {{ form_end(propertyContactPersonForm, {'render_rest': false}) }}
                {% endif %}
            </div>
        </div>
    </div>
{% endblock %}
